Subject: Re: Stamp Git commit id into file during build process

From: Jakub Narebski <[email-masked]>
Date: Sat, 16 Jan 2010 11:35:34 -0800 (PST)

Paul Richards <[email-masked]> writes:

> Hi,
> I am in the process of migrating from Subversion to Git.  One thing I
> am unsure of is how to stamp the 'version' or 'commit id' into a file
> as part of a build process.
> 
> With subversion I used the SubWCRev tool from TortoiseSVN
> (http://tortoisesvn.net/docs/release/TortoiseSVN_en/tsvn-subwcrev.html).
> 
> With Git I imagine that I'd like to put a copy of the current commit
> id (either the full hash or a truncated version of that) into a file
> which then gets included into the program source code in some way.
> 
> Is there a recommended way of doing this with git?  Perhaps with
> something similar to SubWCRev?
> 
> Currently I am thinking about using "git log", and grepping the output
> in some way so that I just get the hash.

Not "git log".

Take a look how for example git project and Linux kernel use "git describe"
in GIT-VERSION-GEN script, and how they use GIT-VERSION-GEN script in the
Makefile.

-- 
Jakub Narebski
Poland
ShadeHawk on #git